> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a space GET https://api.contentful.com/spaces/{space_id} Reference: https://contentful.com/developers/docs/references/content-management-api/spaces/get-a-space ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string ### Query parameters - `include` (string, optional) — Comma-separated list of related resources to include in the response. Supported value: `sys.license` (returns the space's license metadata in `includes.SpaceLicense`). ## Response ### 200 OK - Request successful - `map from string to any` ## Examples ### Standard response **Response** ```json { "name": "Contentful Example API", "sys": { "createdAt": "2025-10-18T10:15:33.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "yadj1kx9rmg0", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "Space", "updatedAt": "2026-01-05T11:02:17.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 3 } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .spaces() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMASpace space) { // Found your space in the parameter of this method: `space`. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Fetching of a space was successful." + "\n\nResult: " + space) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that space." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMASpace space = client .spaces() .fetchOne(""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val space = client .spaces() .fetchOne("") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => console.log(space)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const space = await client.space.get({ spaceId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpace(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') space = client.spaces.find('') ``` ```python Python from contentful_management import Client client = Client('') space = client.spaces().find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var space = await client.GetSpace(""); ``` ### With license metadata (?include=sys.license) **Response** ```json { "includes": { "SpaceLicense": [ { "expiresAt": null, "isTrial": false, "productId": "product_medium", "productName": "Medium", "sys": { "id": "lc_abc123", "type": "SpaceLicense" } } ] }, "name": "Contentful Example API", "sys": { "createdAt": "2025-10-18T10:15:33.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "yadj1kx9rmg0", "license": { "sys": { "id": "lc_abc123", "linkType": "SpaceLicense", "type": "Link" } }, "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "Space", "updatedAt": "2026-01-05T11:02:17.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 3 } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .spaces() .async() .fetchOne( "", new CMACallback() { @Override protected void onSuccess(CMASpace space) { // Found your space in the parameter of this method: `space`. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Fetching of a space was successful." + "\n\nResult: " + space) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that space." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMASpace space = client .spaces() .fetchOne(""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val space = client .spaces() .fetchOne("") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => console.log(space)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const space = await client.space.get({ spaceId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpace(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') space = client.spaces.find('') ``` ```python Python from contentful_management import Client client = Client('') space = client.spaces().find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var space = await client.GetSpace(""); ```